﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    url            = 'https://github.com//gohugoio/hugo/releases/download/v0.76.3/hugo_0.76.3_Windows-32bit.zip'
    url64          = 'https://github.com//gohugoio/hugo/releases/download/v0.76.3/hugo_0.76.3_Windows-64bit.zip'

    checksum       = '0d8c17193b247533f359b0150a1ebbd8ca89c2bdea359cdb6d66ca241ace7707'
    checksumType   = 'SHA256'
    checksum64     = '4347e1cf31505a89430fcb020f9fce85c6eab4995bc0d29b1920d19267af4445'
    checksumType64 = 'SHA256'
}

Install-ChocolateyZipPackage @packageArgs
